# Please update the "IQREPORT" and "MCRROOT" variables below.
# IQREPORT: folder in which IQREPORT is installed on your system
# MCRROOT: folder in which the MATLAB Runtime (R2017A) is installed on your system
#
# Please add a symbolic link to IQReport.sh into /usr/local/bin/IQReport.sh
#
# A single argument can be provided and should be the relative path to the RMD file.

#!/bin/sh
IQREPORT="/opt/IQReport"
MCRROOT="/usr/local/MATLAB/MATLAB_Runtime/v91"
CURRDIR=$PWD
LD_LIBRARY_PATH=.:${MCRROOT}/runtime/glnxa64 ;
LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${MCRROOT}/bin/glnxa64 ;
LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${MCRROOT}/sys/os/glnxa64;
LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${MCRROOT}/sys/opengl/lib/glnxa64;
export LD_LIBRARY_PATH;
cd $IQREPORT
eval ./IQReport \"$CURRDIR/$1\"
cd "$CURRDIR"
